<?php
/**
  @licence GPL 2005-2011  The osCSS developers - osCSS Open Source E-commerce
  @portion code Copyright (c) 2002 osCommerce
  @package osCSS-2 <www http://www.oscss.org>
  @version 2.1.0
  @date  12/02/11, 15:02
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  @encode UTF-8
*/

  /**
   * \brief as active / inactive cache and error return
   * @var boolean default:false
   */
  define('OSCSS_DEBUG', true);
  /**
   * \brief as active view query in error requet sql
   * @var boolean default:false
   */
  define('OSCSS_SHOW_QUERIES', false);
  /**
   * \brief as active / incative garbage collector error
   * @var boolean default:true
   */
  define('OSCSS_GARBAGE_ERROR', true);

// Define the webserver and path parameters
// * DIR_FS_* = Filesystem directories (local/physical)
// * DIR_WS_* = Webserver directories (virtual/URL)
  define('HTTP_SERVER', 'http://monsite.com'); // eg, http://localhost - should not be empty for productive servers
  define('HTTPS_SERVER', ''); // eg, https://localhost - should not be empty for productive servers
  define('ENABLE_SSL', false); // secure webserver for checkout procedure?
  define('HTTP_COOKIE_DOMAIN', '');
  define('HTTPS_COOKIE_DOMAIN', '');
  define('HTTP_COOKIE_PATH', '');
  define('HTTPS_COOKIE_PATH', '');
  define('DIR_WS_HTTP_CATALOG', '');
  define('DIR_WS_HTTPS_CATALOG', '');
  define('DIR_WS_IMAGES', 'images/');
  define('DIR_WS_ICONS', DIR_WS_IMAGES . 'icons/');
  define('DIR_WS_INCLUDES', 'includes/');
  define('DIR_WS_BOXES', DIR_WS_INCLUDES . 'boxes/');
  define('DIR_WS_FUNCTIONS', DIR_WS_INCLUDES . 'functions/');
  define('DIR_WS_CLASSES', DIR_WS_INCLUDES . 'classes/');
  define('DIR_WS_MODULES', DIR_WS_INCLUDES . 'modules/');
  define('DIR_WS_LANGUAGES', DIR_WS_INCLUDES . 'languages/');

  define('DIR_WS_DOWNLOAD_PUBLIC', 'pub/');
  define('DIR_FS_CATALOG', '');
  define('DIR_FS_WORK', DIR_FS_CATALOG . 'oscss_data/');
  define('DIR_FS_DOWNLOAD', DIR_FS_CATALOG . 'download/');
  define('DIR_FS_DOWNLOAD_PUBLIC', DIR_FS_CATALOG . 'pub/');


// Template System files
  define('DIR_FS_TEMPLATES', DIR_FS_CATALOG . 'templates/');
  define('DIR_WS_TEMPLATES', 'templates/');
  define('DIR_WS_COMMON_IMAGES', DIR_WS_TEMPLATES . 'layout/');

// Common
  define('DIR_WS_COMMON', 'common/');
  define('DIR_WS_COMMON_FUNCTIONS', DIR_WS_COMMON . DIR_FUNCTIONS);
  define('DIR_WS_COMMON_FONTS', DIR_WS_COMMON . DIR_FONTS);
  define('DIR_WS_COMMON_CLASSES', DIR_WS_COMMON . DIR_CLASSES);
  define('DIR_WS_COMMON_IMAGES', DIR_WS_TEMPLATES . 'layout/');

// define our database connection
  define('DB_CONNECTOR', 'mysql');
  define('DB_PORT', '3306');
  define('DB_CHARSET', 'utf8');
  define('DB_SERVER', ''); // eg, localhost - should not be empty for productive servers
  define('DB_SERVER_USERNAME', '');
  define('DB_SERVER_PASSWORD', '');
  define('DB_DATABASE', 'base_name');
  define('DB_TABLE_PREFIX', 'osc_');
  define('USE_PCONNECT', 'true'); // use persistent connections?
  define('STORE_SESSIONS', 'mysql'); // leave empty '' for default handler or set to 'mysql'
?>